package eu.cedarsoft.wicket.yaml;

import org.apache.wicket.ResourceReference;
import org.jetbrains.annotations.NotNull;

/**
 * Contains informations about the column layout of yaml.
 */
public enum YamlLayout {
  /**
   * The default layout, col1 (25%) col3 col2 (25%)
   */
  THREE_COL_DEFAULT( new ResourceReference( YamlLayout.class, "css/layout/col1_col3_col2_25_x_25.css" ) ),
  /**
   * Two columns. The column 3 contains the content. Column 1 contains the navigation and is placed on the right
   * side.
   */
  TWO_COL_NAV_RIGHT( new ResourceReference( YamlLayout.class, "css/layout/col3_col1-75_25.css" ) ),
  TWO_COL_NAV_LEFT( new ResourceReference( YamlLayout.class, "css/layout/col1_col3-25_75.css" ) );

  @NotNull
  private final ResourceReference styleSheetReference;

  YamlLayout( @NotNull ResourceReference styleSheetReference ) {
    this.styleSheetReference = styleSheetReference;
  }

  @NotNull
  public ResourceReference getStyleSheetReference() {
    return styleSheetReference;
  }
}
