package eu.cedarsoft.wicket.yaml;

import eu.cedarsoft.wicket.WicketConstants;
import eu.cedarsoft.wicket.navigation.LinksDataView;
import eu.cedarsoft.wicket.navigation.NavigationLinkProvider;
import org.apache.wicket.markup.ComponentTag;
import org.apache.wicket.markup.repeater.Item;
import org.apache.wicket.markup.repeater.data.IDataProvider;
import org.apache.wicket.model.IModel;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

/**
 *
 */
public class YamlNavigationLinksView extends LinksDataView {
  /**
   * The id for the currently active link
   */
  @NonNls
  public static final String VALUE_ID_CURRENT = "current";

  public YamlNavigationLinksView( @NotNull IDataProvider /*<NavigationLinkProvider>*/ dataProvider ) {
    super( dataProvider );
  }

  @Override
  protected Item newItem( String id, int index, IModel model ) {
    return new Item( id, index, model ) {
      @Override
      protected void onComponentTag( ComponentTag tag ) {
        super.onComponentTag( tag );

        //Check whether the current link is "active"
        NavigationLinkProvider linkProvider = ( NavigationLinkProvider ) getModelObject();
        if ( linkProvider.isActive() ) {
          tag.put( WicketConstants.ID, VALUE_ID_CURRENT );
        }
      }
    };
  }
}
